import React from 'react'
import {Button, Grid} from '@chakra-ui/core'
import {useDataTable} from "../hooks/useDataTable";
import {PageHeader} from "../components/Commons/PageHeader";
import {ComponentList} from "../components/ComponentList";
import {ComponentFilter} from "../components/ComponentFilter";
import Paginate from '../components/Paginate'

export const ${NAME} = () => {
    const initialValues = {};

    const useDataTableProps= {
        limit:10,
        initialValues,
        path:'/logs',
        api:notificationApi,
    };

    const [dataTable,paginate,filter,{refreshList}] = useDataTable(useDataTableProps);

  return (
    <Grid templateColumns={'3fr 1fr'} gap={4} pb={4}>
      <Grid templateRows={'auto 1fr'}  gap={4}>
          <PageHeader
              title='Page Title'
              leftAction={<Button mt='1' size='sm' onClick={refreshList}>Refresh</Button>}
              rightAction={<Paginate {...paginate}/>}
          />
          <ComponentList dataTable={dataTable}  />
      </Grid>
      <ComponentFilter {...filter} />
    </Grid>
  )
};